com.threerings.micasa.simulator.server

## Class SimulatorManager

- java.lang.Object
- - com.threerings.micasa.simulator.server.SimulatorManager

    public class SimulatorManager
    extends Object

The simulator manager is responsible for handling the simulator services on the server side.

### Nested Class Summary

Nested Classes
`class` `SimulatorManager.CreateGameTask`

### Constructor Summary

Constructors
Constructor and Description
`SimulatorManager(com.threerings.presents.server.InvocationManager invmgr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createGame(com.threerings.crowd.data.BodyObject source, GameConfig config, String simClass, int playerCount)` Creates a game along with the specified number of simulant players and forcibly moves all players into the game room.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimulatorManager

    @Inject
    public SimulatorManager(com.threerings.presents.server.InvocationManager invmgr)

### Method Detail

#### createGame

    public void createGame(com.threerings.crowd.data.BodyObject source,
                           GameConfig config,
                           String simClass,
                           int playerCount)

Creates a game along with the specified number of simulant players and forcibly moves all players into the game room.